Bug 275131 - Nvidia MCP55 eth0,eth1 not working after updating from initial install
Nvidia MCP55 eth0,eth1 not working after updating from initial install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
7
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-03 09:06 EDT by john
Modified: 2014-03-16 23:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:19:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot log when using kernel 2.6.22.465.fc7 (619.70 KB, text/plain)
2007-09-03 09:06 EDT, john
no flags Details

  None (edit)
Description john 2007-09-03 09:06:51 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install Fedora Core 7
2. When popup notifying you that updates are available update 
   with all updates available. This update the kernel from 2.6.21-1.3194.fc7 to
2.6.22.4-65.fc7
3. Reboot system. Text screen pops up with a lines saying:
  "Determining ip information for eth0.. failed no link present" skips to eth1
  and says same thing
  
Actual results:

The network cable is plugged into eth1.
Sometimes eth1 will give message saying that it is ok but after the bootup
the network fails to work


Expected results:

To have network connectivity with the 2.6.22.465-fc7 kernel


Additional info:
The startup log is attached.
Comment 1 john 2007-09-03 09:06:51 EDT
Created attachment 185241 [details]
boot log when using kernel 2.6.22.465.fc7
Comment 2 Pierre Sarrazin 2007-09-08 14:03:22 EDT
I have just upgraded to F7 from FC5 on a machine that has two Ethernet cards.
After that upgrade, the DHCP transaction with the cable modem ISP failed.

It turns out that eth0 and eth1 have been inverted: the card connected to the
modem used to be called eth0, but now that card is called eth1, even though the
physical connections did not change. I just had to edit the two Ethernet devices
in "Network Configuration" to switch their roles and things went back to normal.

Right now, eth0 is a Realtek card and eth1 is an nVidia MCP55.

My kernel is 2.6.21-1.3194.fc7.

I would like to know how and why this interface inversion happens.
Comment 3 Dan Williams 2007-10-31 20:49:49 EDT
Can't tell if this should be kernel or initscripts.
Comment 4 Bug Zapper 2008-05-14 10:13:33 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:19:10 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.